[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.IsCellVisible

Determines whether the specified cell is visible.

## Declaration

Source position: grids.pas line 1362

`public function TCustomGrid.IsCellVisible(`
`aCol: Integer;`
`aRow: Integer`
`):Boolean;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.

## Function result

True if the cell is in the visible area for the grid control.

## Description

IsCellVisible is a Boolean function which indicates whether the cell specified by ACol and ARow is in the visible area for the grid control. IsCellVisible uses the internal cached grid information to determine if the cell is within the cached visible coordinates for the control.

IsCellVisible is used in methods like DrawRow, DoEnter, and InvalidateCell.

Use IsFixedCellVisible to determine whether a specific fixed cell is within the visible area for the control.

## See also

TCustomGrid.IsFixedCellVisible |  | Determines if the specified cell is a visible fixed header cell in the grid.
TCustomGrid.DrawRow |  | Draws the columns for the specified row in the grid control.
TCustomGrid.InvalidateCell |  | Renders a cell invalid, and redraws the cell if required.
TGridDataCache |  | Stores cached information about a grid control.